incubator-flex-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cframp...@apache.org
Subject svn commit: r1359373 - in /incubator/flex/trunk: build.xml ide/flashbuilder/makeApacheFlexForFlashBuilder.bat ide/flashbuilder/makeApacheFlexForFlashBuilder.sh
Date Mon, 09 Jul 2012 20:02:26 GMT
Author: cframpton
Date: Mon Jul  9 20:02:26 2012
New Revision: 1359373

URL: http://svn.apache.org/viewvc?rev=1359373&view=rev
Log:
Don't include frameworks/projects/*/bundles directories in the bin kit if there is no en_US
subdirectory because copylocale looks for all bundles directories and then accesses the en_US
subsirectory.  The makeApacheFlexForFlashBuilder scripts no longer download the Apache Flex
SDK.  It assumes it is running from a bin package, or if from a source package, ant main has
been called first.  It does a quick check to verify this - it looks for bin\mxmlc.jar - an
if  there it assumes the binaries are present.

Modified:
    incubator/flex/trunk/build.xml
    incubator/flex/trunk/ide/flashbuilder/makeApacheFlexForFlashBuilder.bat
    incubator/flex/trunk/ide/flashbuilder/makeApacheFlexForFlashBuilder.sh

Modified: incubator/flex/trunk/build.xml
URL: http://svn.apache.org/viewvc/incubator/flex/trunk/build.xml?rev=1359373&r1=1359372&r2=1359373&view=diff
==============================================================================
--- incubator/flex/trunk/build.xml (original)
+++ incubator/flex/trunk/build.xml Mon Jul  9 20:02:26 2012
@@ -1046,15 +1046,24 @@
         </copy>
 
         <!-- frameworks/projects -->
-        <copy todir="${basedir}/temp/frameworks/projects" includeEmptyDirs="false">
-            <fileset dir="${basedir}/frameworks/projects">
-                <include name="*/bundles/**"/>
-                <exclude name="*/bundles/**/empty.properties"/>
-                <exclude name="*/bundles/**/docs/**"/>
-                <exclude name="*/bundles/*/*.xml"/>
-                <exclude name="*/bundles/*/packages.dita"/>
-            </fileset>  
-        </copy>
+        <!--
+            Remove these files from the binary kit.
+            
+            copylocale looks for bundles and then uses en_US so if there is
+            not a en_US sub-directory don't include the bundles directory.
+        -->
+        <delete dir="${basedir}/temp/frameworks/projects" includeemptydirs="true">
+            <include name="airspark/bundles/**"/>
+            <include name="automation_air/bundles/**"/>
+            <include name="automation_dmv/bundles/**"/>
+            <include name="automation_flashflexkit/bundles/**"/>
+            <include name="automation_spark/bundles/**"/>
+            <include name="*/bundles/**/empty.properties"/>
+            <include name="*/bundles/**/docs/**"/>
+            <include name="*/bundles/*/*.xml"/>
+            <include name="*/bundles/*/packages.dita"/>
+        </delete>
+        
 
         <!-- lib -->
         <!-- these are built when the compiler is built with localized.jars set -->

Modified: incubator/flex/trunk/ide/flashbuilder/makeApacheFlexForFlashBuilder.bat
URL: http://svn.apache.org/viewvc/incubator/flex/trunk/ide/flashbuilder/makeApacheFlexForFlashBuilder.bat?rev=1359373&r1=1359372&r2=1359373&view=diff
==============================================================================
--- incubator/flex/trunk/ide/flashbuilder/makeApacheFlexForFlashBuilder.bat (original)
+++ incubator/flex/trunk/ide/flashbuilder/makeApacheFlexForFlashBuilder.bat Mon Jul  9 20:02:26
2012
@@ -19,23 +19,27 @@ REM ##  limitations under the License.
 REM ##
 REM ################################################################################
 
-REM     This script should be used to create an Apache Flex SDK that has the
-REM     directory structure that the Adobe Flash Builder IDE expects.
+REM    This script should be used to create an Apache Flex SDK that has the
+REM    directory structure that the Adobe Flash Builder IDE expects.  If this is a
+REM    source package, you must build the binaries first.  See the README at the root
+REM    for instructions.
+REM
+REM    This script assumes that it is in the ide/flashbuilder directory of the Apache Flex
SDK
+REM    The files from this SDK will be copied to the new directory structure.
+REM
+REM    The Adobe AIR SDK and the Adobe Flash Player playerglobal.swc are integrated
+REM    into the new directory structure.  The paths in the framework configuration files
are 
+REM    modified to reflect this.  The AIR_HOME and PLAYERGLOBAL_HOME environment variables
are 
+REM    not required because the locations of these pieces are known.
 REM
-REM     The Adobe AIR SDK and the Adobe Flash Player playerglobal.swc are integrated
-REM     into the directory structure.  The paths in the framework configuration files are

-REM     modified to reflect this.  The AIR_HOME and PLAYERGLOBAL_HOME environment 
-REM     variables are not required because the locations of these pieces are known.
-REM
-REM     Usage: makeApacheFlexForFlashBuilder [sdk directory]
+REM    Usage: makeApacheFlexForFlashBuilder [new directory to build integrated SDK]
 REM
 
 REM     Edit these constants if you would like to download from alternative locations.
 REM
 REM     Apache Flex binary distribution
 REM
-set APACHE_FLEX_BIN_DISTRO_FILE=apache-flex-sdk-4.8.0-incubating-bin.zip
-set APACHE_FLEX_BIN_DISTRO_URL=http://people.apache.org/~cframpton/ApacheFlexRC/current/%APACHE_FLEX_BIN_DISTRO_FILE%
+set APACHE_FLEX_BIN_DISTRO_DIR=..\..
 
 REM
 REM     Adobe AIR SDK Version 3.1
@@ -48,8 +52,17 @@ REM     Adobe Flash Player Version 11.1
 REM
 set ADOBE_FB_GLOBALPLAYER_SWC_URL=http://fpdownload.macromedia.com/get/flashplayer/updaters/11/playerglobal11_1.swc
 
-if not [%1] == [] goto gotDir
-echo Usage: %0 [directory for Apache Flex SDK for Adobe Flash Builder]
+:getDir
+if not [%1] == [] goto checkJar
+echo Usage: %0 [new directory for Apache Flex SDK for Adobe Flash Builder]
+goto :eof
+
+REM
+REM     Quick check to see if there are binaries.
+REM
+:checkJar
+if exist "%APACHE_FLEX_BIN_DISTRO_DIR%\lib\mxmlc.jar" goto gotDir
+echo You must build the binaries for this SDK first.  See the README at the root.
 goto :eof
 
 REM
@@ -61,17 +74,17 @@ set FLEX_HOME=%~f1
 if not exist "%FLEX_HOME%" mkdir "%FLEX_HOME%"
 
 REM
-REM     Put the downloads here.
+REM     Copy the Apache Flex SDK.
 REM
-set tempDir=%FLEX_HOME%\temp
-if not exist "%tempDir%" mkdir "%tempDir%"
+echo Copying the Apache Flex SDK from %APACHE_FLEX_BIN_DISTRO_DIR% to "%FLEX_HOME%"
+xcopy /e /q "%APACHE_FLEX_BIN_DISTRO_DIR%" "%FLEX_HOME%"
+if %errorlevel% neq 0 goto errorExit
 
 REM
-REM     Download Apache Flex SDK.
+REM     Put the downloads here.
 REM
-echo Downloading and unzipping Apache Flex SDK from "%APACHE_FLEX_BIN_DISTRO_URL%" to "%FLEX_HOME%"
-cscript //B //nologo winUtil.vbs "%APACHE_FLEX_BIN_DISTRO_URL%" "%tempDir%\%APACHE_FLEX_BIN_DISTRO_FILE%"
"%FLEX_HOME%"
-if %errorlevel% neq 0 goto errorExit
+set tempDir=%FLEX_HOME%\temp
+if not exist "%tempDir%" mkdir "%tempDir%"
 
 REM
 REM the third-party downloads, including the optional components

Modified: incubator/flex/trunk/ide/flashbuilder/makeApacheFlexForFlashBuilder.sh
URL: http://svn.apache.org/viewvc/incubator/flex/trunk/ide/flashbuilder/makeApacheFlexForFlashBuilder.sh?rev=1359373&r1=1359372&r2=1359373&view=diff
==============================================================================
--- incubator/flex/trunk/ide/flashbuilder/makeApacheFlexForFlashBuilder.sh (original)
+++ incubator/flex/trunk/ide/flashbuilder/makeApacheFlexForFlashBuilder.sh Mon Jul  9 20:02:26
2012
@@ -20,20 +20,22 @@
 ################################################################################
 
 # This script should be used to create an Apache Flex SDK that has the
-# directory structure that the Adobe Flash Builder IDE expects.
+# directory structure that the Adobe Flash Builder IDE expects.  If this is a
+# source package, you must build the binaries first.  See the README at the root
+# for instructions.
 #
 # The Adobe AIR SDK and the Adobe Flash Player playerglobal.swc are integrated
-# into the directory structure.  The paths in the framework configuration files are 
+# into the new directory structure.  The paths in the framework configuration files are 
 # modified to reflect this.  The AIR_HOME and PLAYERGLOBAL_HOME environment variables are

 # not required because the locations of these pieces are known.
 #
-# Usage: makeApacheFlexForFlashBuilder [sdk directory]
+# Usage: makeApacheFlexForFlashBuilder [new directory to build integrated SDK]
 #
 
 # Edit these constants if you would like to download from alternative locations.
 
 # Apache Flex binary distribution
-APACHE_FLEX_BIN_DISTRO_URL=http://people.apache.org/~cframpton/ApacheFlexRC/current/apache-flex-sdk-4.8.0-incubating-bin.zip
+APACHE_FLEX_BIN_DIR=`(cd ../.. && pwd)`
 
 # Adobe AIR SDK Version 3.1
 ADOBE_AIR_SDK_MAC_URL=http://airdownload.adobe.com/air/mac/download/3.1/AdobeAIRSDK.tbz2
@@ -47,19 +49,21 @@ ADOBE_FLEX_SDK_URL=http://fpdownload.ado
 FLEX_HOME="$1"
 
 if [ "$FLEX_HOME" = "" ] ; then
-    echo "Usage: $0 [directory to build the Apache Flex SDK for Adobe Flash Builder]"
+    echo "Usage: $0 [new directory to build the Apache Flex SDK for Adobe Flash Builder]"
+    exit 1;
+fi
+
+# quick check to see if the binaries are there
+if [ ! -f "${APACHE_FLEX_BIN_DIR}/lib/mxmlc.jar" ]
+then
+    echo You must build the binaries for this SDK first.  See the README at the root.
     exit 1;
 fi
 
 # make sure the directory for the Apache Flex SDK exists
 mkdir -p "$FLEX_HOME"
 
-# put the downloads here
-tempDir="$FLEX_HOME"/temp
-mkdir -p "$tempDir"
-
 # the names of the tar/zip files
-APACHE_FLEX_BIN_DISTRO_FILE=`basename "${APACHE_FLEX_BIN_DISTRO_URL}"`
 ADOBE_AIR_SDK_MAC_FILE=`basename "${ADOBE_AIR_SDK_MAC_URL}"`
 ADOBE_FLEX_SDK_FILE=`basename "${ADOBE_FLEX_SDK_URL}"`
 
@@ -69,13 +73,18 @@ echo "You will need to answer questions 
 echo
 
 # download the Apache Flex SDK
-echo "Downloading the Apache Flex SDK from $APACHE_FLEX_BIN_DISTRO_URL"
-curl "$APACHE_FLEX_BIN_DISTRO_URL" --output "$tempDir/$APACHE_FLEX_BIN_DISTRO_FILE"
-tar xf "$tempDir/$APACHE_FLEX_BIN_DISTRO_FILE" -C "$FLEX_HOME"
+echo "Copying the Apache Flex SDK from '$APACHE_FLEX_BIN_DIR' to '$FLEX_HOME'"
+rsync -a --exclude=*/.svn* \
+    --exclude="$APACHE_FLEX_BIN_DIR"/in --exclude="$APACHE_FLEX_BIN_DIR"/out \
+    --exclude="$APACHE_FLEX_BIN_DIR"/temp "$APACHE_FLEX_BIN_DIR"/* "$FLEX_HOME"
 
 # the third-party downloads, including the optional components
 ant -f "$FLEX_HOME"/frameworks/downloads.xml
 
+# put the downloads here
+tempDir="$FLEX_HOME"/temp
+mkdir -p "$tempDir"
+
 # download the AIR SDK for Mac
 echo "Downloading the Adobe AIR SDK for Mac from $ADOBE_AIR_SDK_MAC_URL"
 curl "$ADOBE_AIR_SDK_MAC_URL" --output "$tempDir/$ADOBE_AIR_SDK_MAC_FILE"



Mime
View raw message